repo/gentoo:master commit in: app-text/tesseract/

"Bernard Cafarelli" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786130428.da90c67a71ecc1d73b3e06ddeab250d387651317.voyageur@gentoo>
commit:     da90c67a71ecc1d73b3e06ddeab250d387651317
Author:     Alexander Kurakin <kuraga333 <AT> mail <DOT> ru>
AuthorDate: Mon Aug  3 19:45:32 2026 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 19:20:28 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da90c67a

app-text/tesseract: add 5.5.3

Closes: https://bugs.gentoo.org/980337
Signed-off-by: Alexander Kurakin <kuraga333 <AT> mail.ru>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1612
Merges: https://codeberg.org/gentoo/gentoo/pulls/1612
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 app-text/tesseract/Manifest               |  1 +
 app-text/tesseract/tesseract-5.5.3.ebuild | 93 +++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/app-text/tesseract/Manifest b/app-text/tesseract/Manifest
index ead66bdd3d8c..f6e62f0bd5f8 100644
--- a/app-text/tesseract/Manifest
+++ b/app-text/tesseract/Manifest
@@ -1 +1,2 @@
 DIST tesseract-5.5.2.tar.gz 1903633 BLAKE2B 74a52d9c8538bb3ec148e1ef28e62695200bc907688d53e905c34de0e3837f0c43d7b493cc007fd14f9520e7ad34315eeeed3dad1fb21e603bae35a07373fcf4 SHA512 e9103c68ba186821aedd38de4d9949cd6732da93a2d0764de18aaaac70eb9c305384a6eb1fe656a8a269bee833178a583a91dd72027ae26d27c8329ed722f4a9
+DIST tesseract-5.5.3.tar.gz 1916037 BLAKE2B 6d14139fe1bc5433993b5391f46b9eb40df98486fbc61d3a6feb4b6b6fc51b200b49f967f6d68cb8e19f271fb1c9b832b8ee65827b1fb299964a11f37c3cad75 SHA512 c55ad36af09f4ba48df2f32a3e2413764aeee330f5f5468e92be59572fd90b388f0ea3cb7dc0cc89c21ff68f76cd0baaee1ca0a45e648dc8f4819aefdc2749c2

diff --git a/app-text/tesseract/tesseract-5.5.3.ebuild b/app-text/tesseract/tesseract-5.5.3.ebuild
new file mode 100644
index 000000000000..22f606ec3e25
--- /dev/null
+++ b/app-text/tesseract/tesseract-5.5.3.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic multilib-minimal toolchain-funcs
+
+DESCRIPTION="An OCR Engine, originally developed at HP, now open source"
+HOMEPAGE="https://github.com/tesseract-ocr"
+SRC_URI="https://github.com/tesseract-ocr/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="doc float32 jpeg openmp png static-libs tiff training webp"
+
+COMMON_DEPEND=">=media-libs/leptonica-1.74:=[${MULTILIB_USEDEP},zlib,tiff?,jpeg?,png?,webp?]
+	training? (
+		dev-libs/icu:=
+		x11-libs/pango:=
+		x11-libs/cairo:=
+	)"
+RDEPEND="${COMMON_DEPEND}
+	|| (
+		>=app-text/tessdata_fast-4.0.0
+		>=app-text/tessdata_best-4.0.0
+		>=app-text/tessdata_legacy-4.0.0
+	)"
+DEPEND="${COMMON_DEPEND}
+	app-text/asciidoc
+	app-text/docbook-xsl-stylesheets
+	dev-libs/libxslt
+	doc? ( app-text/doxygen )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-5.4.1-arm64-neon-tesseract.patch
+)
+
+pkg_pretend() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+src_prepare() {
+	default
+
+	tc-is-clang && use openmp && append-libs omp
+
+	eautoreconf
+}
+
+multilib_src_configure() {
+	# scrollview disabled for now, see bug #686944
+	local myeconfargs=(
+		--enable-shared
+		--disable-graphics
+		$(use_enable float32)
+		$(use_enable openmp)
+		$(use_enable static-libs static)
+	)
+
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+	default
+	if multilib_is_native_abi; then
+		use doc && emake doc
+		use training && emake training
+	fi
+}
+
+multilib_src_install() {
+	if multilib_is_native_abi; then
+		DOCS=( "${S}"/AUTHORS "${S}"/ChangeLog "${S}"/README.md )
+		if use doc; then
+			HTML_DOCS=( doc/html/. )
+		fi
+		einstalldocs
+
+		if use training; then
+			emake DESTDIR="${D}" training-install
+		fi
+	fi
+	emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+	find "${D}" -name '*.la' -type f -delete || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.